:root {
    --font-family-primary: "Gotham A","Gotham B",Century Gothic,Arial,sans-serif;
    
    --font-size-base: 10px;
    --font-size-regular: 1.3rem;
    --font-size-regular-medium: 1.5rem;
    --font-size-medium: 1.8rem;
    --font-size-medium-large: 2rem;
    --font-size-large: 2.2rem;
    --font-size-extra-large: 3rem;

    --font-weight-regular: 400;
    --font-weight-semibold: 600;
    --font-weight-bold: 700;

    --color-text: rgb(0,0,0);
    --color-text-alt: rgb(255,255,255);

    --color-primary-dark: rgb(2, 105, 194);
    --color-primary-base: rgb(2, 117, 216);
    --color-primary-light: rgb(2, 133, 245);

    --color-secondary-dark: rgb(102, 105, 105);
    --color-secondary-base: rgb(111, 124, 125);
    --color-secondary-light: rgb(154, 163, 163);
    
    --color-success-dark: rgb(106, 170, 31);
    --color-success-base: rgb(118, 189, 34);
    --color-success-light: rgb(133, 213, 38);

    --color-danger-dark: rgb(238, 159, 49); 
    --color-danger-base: rgb(240, 173, 78);
    --color-danger-light: rgb(241, 181, 96);

    --color-base-darkest: rgb(0, 0, 0);
    --color-base-very-dark: rgb(40, 40, 40);
    --color-base-darker: rgb(61, 61, 61);
    --color-base-dark: rgb(102, 105, 105);
    --color-base-base: rgb(111, 124, 125);
    --color-base-light: rgb(154, 163, 163);
    --color-base-lighter: rgb(172, 173, 173);
    --color-base-very-light: rgb(224, 225, 225);
    --color-base-lightest: rgb(255, 255, 255);

    --color-error: rgb(217, 83, 79);
}

* {
    box-sizing: border-box;
}

html {
    font-family: var(--font-family-primary);
    font-size: var(--font-size-base);
    color: var(--color-text);
    text-rendering: geometricPrecision;
    hyphens: auto;
    height: 100%;
}

body {
    /* these need to be applied lower down in the shipview and fleetview if required */
    /* min-width: 124rem;
    overflow-x: auto; */
    height: 100%;
}

*, :after, :before {
    /* box-sizing: inherit; */
}

::-webkit-scrollbar{
    width: 6px;
    height: 6px;
}

::-webkit-scrollbar-thumb{
    background: var(--color-base-dark);
    border-radius: 0;
    transition: 0.25s;
}

::-webkit-scrollbar-track{
    background: var(--color-base-lightest);
    border-radius: 0;
}